Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class Latestupdate

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.Latestupdate

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:46:45+02:00",
               comments="JAXB RI v2.2.11")
    public class Latestupdate

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v3}PatientIdType"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="createdatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="updatedatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Latestupdate()`

Method Summary
`CDTRANSACTION` | `getCd()` Gets the value of the cd property.
`org.joda.time.DateTime` | `getCreatedatetime()` Gets the value of the createdatetime property.
`PatientIdType` | `getPatient()` Gets the value of the patient property.
`org.joda.time.DateTime` | `getUpdatedatetime()` Gets the value of the updatedatetime property.
`String` | `getVersion()` Gets the value of the version property.
`void` | `setCd(CDTRANSACTION value)` Sets the value of the cd property.
`void` | `setCreatedatetime(org.joda.time.DateTime value)` Sets the value of the createdatetime property.
`void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
`void` | `setUpdatedatetime(org.joda.time.DateTime value)` Sets the value of the updatedatetime property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Latestupdate

    public Latestupdate()

Method Detail

### getPatient

    public PatientIdType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PatientIdType`

### setPatient

    public void setPatient(PatientIdType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PatientIdType`

### getCd

    public CDTRANSACTION getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDTRANSACTION`

### setCd

    public void setCd(CDTRANSACTION value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDTRANSACTION`

### getVersion

    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### getCreatedatetime

    public org.joda.time.DateTime getCreatedatetime()

  Gets the value of the createdatetime property.

  Returns:
    possible object is `String`

### setCreatedatetime

    public void setCreatedatetime(org.joda.time.DateTime value)

  Sets the value of the createdatetime property.

  Parameters:
    `value` - allowed object is `String`

### getUpdatedatetime

    public org.joda.time.DateTime getUpdatedatetime()

  Gets the value of the updatedatetime property.

  Returns:
    possible object is `String`

### setUpdatedatetime

    public void setUpdatedatetime(org.joda.time.DateTime value)

  Sets the value of the updatedatetime property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.